# $Revision: 1.15 $, $Date: 2007/07/21 07:23:34 $
Summary:	ico application - animate an icosahedron or other polyhedron
Summary(pl.UTF-8):	Aplikacja ico - animowanie dwudziestościanu lub innego wielościanu
Name:		xorg-app-ico
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/ico-%{version}.tar.bz2
# Source0-md5:	5711827c5c2563620b56c33aababbc63
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel >= 0.99.1
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ico displays a wire-frame rotating polyhedron, with hidden lines
removed, or a solid-fill polyhedron with hidden faces removed. There
are a number of different polyhedra available; adding a new polyhedron
to the program is quite simple.

%description -l pl.UTF-8
ico wyświetla obracający się model drutowy dwudziestościanu bez
ukrytych krawędzi lub wypełniony wielościan bez niewidocznych ścian.
Dostępnych jest wiele różnych wielościanów; dodanie do programu nowego
wielościanu jest dość proste.

%prep
%setup -q -n ico-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/ico
%{_mandir}/man1/ico.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-ico.spec,v $
Revision 1.15  2007/07/21 07:23:34  arekm
- up to 1.0.2

Revision 1.14  2007/04/30 20:59:39  qboosh
- informative descs from man

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 10:31:58  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/10 13:38:10  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 11:11:15  qboosh
- 0.99.4 (X11R7.0-RC3)

Revision 1.8  2005/11/19 20:40:47  qboosh
- 0.99.3 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 13:16:30  qboosh
- 0.99.2 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 16:09:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- added ico-man.patch
- defined %%{_prefix} and %%{_mandir}
- removed BR: xbitmaps
- release 0.02

* Sun Aug  7 2005 16:39:18  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
